package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.sys.FileStorageDO;

import java.util.List;

/**
 * <p>
 * 核心企业 历史合作资料
 * </p>
 *
 * @author liutao
 * @since 2023-11-25
 */
@TableName("c_project_core_enterprise_file")
public class ProjectCoreEnterpriseFile {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 项目核心企业id
     */
    @TableField("c_project_core_enterprise_id")
    private Long cProjectCoreEnterpriseId;

    /**
     * 项目编号
     */
    @TableField("project_number")
    private Long projectNumber;

    /**
     * 文件id
     */
    @TableField(exist = false)
    private List<Long> fileIds;

    /**
     * 文件id
     */
    @TableField(exist = false)
    private List<FileStorageDO> fileStorageDOS;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public List<FileStorageDO> getFileStorageDOS() {
        return fileStorageDOS;
    }

    public void setFileStorageDOS(List<FileStorageDO> fileStorageDOS) {
        this.fileStorageDOS = fileStorageDOS;
    }

    public Long getcProjectCoreEnterpriseId() {
        return cProjectCoreEnterpriseId;
    }

    public void setcProjectCoreEnterpriseId(Long cProjectCoreEnterpriseId) {
        this.cProjectCoreEnterpriseId = cProjectCoreEnterpriseId;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public Long getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(Long projectNumber) {
        this.projectNumber = projectNumber;
    }

}
